Skip to main content
GET
/
v1
/
workflow
/
playground
/
sessions
/
{session_id}
Get Session Info
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/workflow/playground/sessions/{session_id} \
  --header 'x-api-key: <api-key>'
{
  "session_id": "<string>",
  "graph": {
    "name": "<string>",
    "entry_node_id": "<string>",
    "persona": "<string>"
  },
  "current_step_id": "<string>",
  "completed_steps": [
    "<string>"
  ],
  "context_vars": {},
  "step_count": 123,
  "last_signal": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "catalog_slug": "<string>",
  "revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "awaiting_approval": false
}

Authorizations

x-api-key
string
header
required

Path Parameters

session_id
string
required

Response

Successful Response

Session metadata returned by POST /sessions and GET /sessions/{id}.

Exactly one of catalog_slug / revision_id is set, reflecting which source the session was opened against.

session_id
string
required
graph
GraphMeta · object
required

The small graph descriptor surfaced to a client on session start / GET.

current_step_id
string | null
required
completed_steps
string[]
required
context_vars
Context Vars · object
required
step_count
integer
required
last_signal
string | null
required
created_at
string<date-time>
required
catalog_slug
string | null
revision_id
string<uuid> | null
awaiting_approval
boolean
default:false